IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network145.2.80.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
145.2.80.0- Broadcast address
145.2.95.255- First usable
145.2.80.1- Last usable
145.2.95.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
91025000· Integer2432847872to2432851967 - Reverse DNS zones
80.2.145.in-addr.arpa81.2.145.in-addr.arpa82.2.145.in-addr.arpa83.2.145.in-addr.arpa84.2.145.in-addr.arpa85.2.145.in-addr.arpa86.2.145.in-addr.arpa87.2.145.in-addr.arpa88.2.145.in-addr.arpa89.2.145.in-addr.arpa90.2.145.in-addr.arpa91.2.145.in-addr.arpa92.2.145.in-addr.arpa93.2.145.in-addr.arpa94.2.145.in-addr.arpa95.2.145.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10010001.00000010.01010000.00000000 | 145.2.80.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 10010001.00000010.01010000.00000000 | 145.2.80.0 |
| Broadcast | 10010001.00000010.01011111.11111111 | 145.2.95.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
145.2.80.0/20 makes 2,048 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 145.2.80.0/31 | 145.2.80.0 to 145.2.80.1 | — | 2 |
| 2 | 145.2.80.2/31 | 145.2.80.2 to 145.2.80.3 | — | 2 |
| 3 | 145.2.80.4/31 | 145.2.80.4 to 145.2.80.5 | — | 2 |
| 4 | 145.2.80.6/31 | 145.2.80.6 to 145.2.80.7 | — | 2 |
| 5 | 145.2.80.8/31 | 145.2.80.8 to 145.2.80.9 | — | 2 |
| 6 | 145.2.80.10/31 | 145.2.80.10 to 145.2.80.11 | — | 2 |
| 7 | 145.2.80.12/31 | 145.2.80.12 to 145.2.80.13 | — | 2 |
| 8 | 145.2.80.14/31 | 145.2.80.14 to 145.2.80.15 | — | 2 |
| 9 | 145.2.80.16/31 | 145.2.80.16 to 145.2.80.17 | — | 2 |
| 10 | 145.2.80.18/31 | 145.2.80.18 to 145.2.80.19 | — | 2 |
| 11 | 145.2.80.20/31 | 145.2.80.20 to 145.2.80.21 | — | 2 |
| 12 | 145.2.80.22/31 | 145.2.80.22 to 145.2.80.23 | — | 2 |
| 13 | 145.2.80.24/31 | 145.2.80.24 to 145.2.80.25 | — | 2 |
| 14 | 145.2.80.26/31 | 145.2.80.26 to 145.2.80.27 | — | 2 |
| 15 | 145.2.80.28/31 | 145.2.80.28 to 145.2.80.29 | — | 2 |
| 16 | 145.2.80.30/31 | 145.2.80.30 to 145.2.80.31 | — | 2 |
| 17 | 145.2.80.32/31 | 145.2.80.32 to 145.2.80.33 | — | 2 |
| 18 | 145.2.80.34/31 | 145.2.80.34 to 145.2.80.35 | — | 2 |
| 19 | 145.2.80.36/31 | 145.2.80.36 to 145.2.80.37 | — | 2 |
| 20 | 145.2.80.38/31 | 145.2.80.38 to 145.2.80.39 | — | 2 |
| 21 | 145.2.80.40/31 | 145.2.80.40 to 145.2.80.41 | — | 2 |
| 22 | 145.2.80.42/31 | 145.2.80.42 to 145.2.80.43 | — | 2 |
| 23 | 145.2.80.44/31 | 145.2.80.44 to 145.2.80.45 | — | 2 |
| 24 | 145.2.80.46/31 | 145.2.80.46 to 145.2.80.47 | — | 2 |
| 25 | 145.2.80.48/31 | 145.2.80.48 to 145.2.80.49 | — | 2 |
| 26 | 145.2.80.50/31 | 145.2.80.50 to 145.2.80.51 | — | 2 |
| 27 | 145.2.80.52/31 | 145.2.80.52 to 145.2.80.53 | — | 2 |
| 28 | 145.2.80.54/31 | 145.2.80.54 to 145.2.80.55 | — | 2 |
| 29 | 145.2.80.56/31 | 145.2.80.56 to 145.2.80.57 | — | 2 |
| 30 | 145.2.80.58/31 | 145.2.80.58 to 145.2.80.59 | — | 2 |
| 31 | 145.2.80.60/31 | 145.2.80.60 to 145.2.80.61 | — | 2 |
| 32 | 145.2.80.62/31 | 145.2.80.62 to 145.2.80.63 | — | 2 |
| 33 | 145.2.80.64/31 | 145.2.80.64 to 145.2.80.65 | — | 2 |
| 34 | 145.2.80.66/31 | 145.2.80.66 to 145.2.80.67 | — | 2 |
| 35 | 145.2.80.68/31 | 145.2.80.68 to 145.2.80.69 | — | 2 |
| 36 | 145.2.80.70/31 | 145.2.80.70 to 145.2.80.71 | — | 2 |
| 37 | 145.2.80.72/31 | 145.2.80.72 to 145.2.80.73 | — | 2 |
| 38 | 145.2.80.74/31 | 145.2.80.74 to 145.2.80.75 | — | 2 |
| 39 | 145.2.80.76/31 | 145.2.80.76 to 145.2.80.77 | — | 2 |
| 40 | 145.2.80.78/31 | 145.2.80.78 to 145.2.80.79 | — | 2 |
| 41 | 145.2.80.80/31 | 145.2.80.80 to 145.2.80.81 | — | 2 |
| 42 | 145.2.80.82/31 | 145.2.80.82 to 145.2.80.83 | — | 2 |
| 43 | 145.2.80.84/31 | 145.2.80.84 to 145.2.80.85 | — | 2 |
| 44 | 145.2.80.86/31 | 145.2.80.86 to 145.2.80.87 | — | 2 |
| 45 | 145.2.80.88/31 | 145.2.80.88 to 145.2.80.89 | — | 2 |
| 46 | 145.2.80.90/31 | 145.2.80.90 to 145.2.80.91 | — | 2 |
| 47 | 145.2.80.92/31 | 145.2.80.92 to 145.2.80.93 | — | 2 |
| 48 | 145.2.80.94/31 | 145.2.80.94 to 145.2.80.95 | — | 2 |
| 49 | 145.2.80.96/31 | 145.2.80.96 to 145.2.80.97 | — | 2 |
| 50 | 145.2.80.98/31 | 145.2.80.98 to 145.2.80.99 | — | 2 |
| 51 | 145.2.80.100/31 | 145.2.80.100 to 145.2.80.101 | — | 2 |
| 52 | 145.2.80.102/31 | 145.2.80.102 to 145.2.80.103 | — | 2 |
| 53 | 145.2.80.104/31 | 145.2.80.104 to 145.2.80.105 | — | 2 |
| 54 | 145.2.80.106/31 | 145.2.80.106 to 145.2.80.107 | — | 2 |
| 55 | 145.2.80.108/31 | 145.2.80.108 to 145.2.80.109 | — | 2 |
| 56 | 145.2.80.110/31 | 145.2.80.110 to 145.2.80.111 | — | 2 |
| 57 | 145.2.80.112/31 | 145.2.80.112 to 145.2.80.113 | — | 2 |
| 58 | 145.2.80.114/31 | 145.2.80.114 to 145.2.80.115 | — | 2 |
| 59 | 145.2.80.116/31 | 145.2.80.116 to 145.2.80.117 | — | 2 |
| 60 | 145.2.80.118/31 | 145.2.80.118 to 145.2.80.119 | — | 2 |
| 61 | 145.2.80.120/31 | 145.2.80.120 to 145.2.80.121 | — | 2 |
| 62 | 145.2.80.122/31 | 145.2.80.122 to 145.2.80.123 | — | 2 |
| 63 | 145.2.80.124/31 | 145.2.80.124 to 145.2.80.125 | — | 2 |
| 64 | 145.2.80.126/31 | 145.2.80.126 to 145.2.80.127 | — | 2 |
| 65 | 145.2.80.128/31 | 145.2.80.128 to 145.2.80.129 | — | 2 |
| 66 | 145.2.80.130/31 | 145.2.80.130 to 145.2.80.131 | — | 2 |
| 67 | 145.2.80.132/31 | 145.2.80.132 to 145.2.80.133 | — | 2 |
| 68 | 145.2.80.134/31 | 145.2.80.134 to 145.2.80.135 | — | 2 |
| 69 | 145.2.80.136/31 | 145.2.80.136 to 145.2.80.137 | — | 2 |
| 70 | 145.2.80.138/31 | 145.2.80.138 to 145.2.80.139 | — | 2 |
| 71 | 145.2.80.140/31 | 145.2.80.140 to 145.2.80.141 | — | 2 |
| 72 | 145.2.80.142/31 | 145.2.80.142 to 145.2.80.143 | — | 2 |
| 73 | 145.2.80.144/31 | 145.2.80.144 to 145.2.80.145 | — | 2 |
| 74 | 145.2.80.146/31 | 145.2.80.146 to 145.2.80.147 | — | 2 |
| 75 | 145.2.80.148/31 | 145.2.80.148 to 145.2.80.149 | — | 2 |
| 76 | 145.2.80.150/31 | 145.2.80.150 to 145.2.80.151 | — | 2 |
| 77 | 145.2.80.152/31 | 145.2.80.152 to 145.2.80.153 | — | 2 |
| 78 | 145.2.80.154/31 | 145.2.80.154 to 145.2.80.155 | — | 2 |
| 79 | 145.2.80.156/31 | 145.2.80.156 to 145.2.80.157 | — | 2 |
| 80 | 145.2.80.158/31 | 145.2.80.158 to 145.2.80.159 | — | 2 |
| 81 | 145.2.80.160/31 | 145.2.80.160 to 145.2.80.161 | — | 2 |
| 82 | 145.2.80.162/31 | 145.2.80.162 to 145.2.80.163 | — | 2 |
| 83 | 145.2.80.164/31 | 145.2.80.164 to 145.2.80.165 | — | 2 |
| 84 | 145.2.80.166/31 | 145.2.80.166 to 145.2.80.167 | — | 2 |
| 85 | 145.2.80.168/31 | 145.2.80.168 to 145.2.80.169 | — | 2 |
| 86 | 145.2.80.170/31 | 145.2.80.170 to 145.2.80.171 | — | 2 |
| 87 | 145.2.80.172/31 | 145.2.80.172 to 145.2.80.173 | — | 2 |
| 88 | 145.2.80.174/31 | 145.2.80.174 to 145.2.80.175 | — | 2 |
| 89 | 145.2.80.176/31 | 145.2.80.176 to 145.2.80.177 | — | 2 |
| 90 | 145.2.80.178/31 | 145.2.80.178 to 145.2.80.179 | — | 2 |
| 91 | 145.2.80.180/31 | 145.2.80.180 to 145.2.80.181 | — | 2 |
| 92 | 145.2.80.182/31 | 145.2.80.182 to 145.2.80.183 | — | 2 |
| 93 | 145.2.80.184/31 | 145.2.80.184 to 145.2.80.185 | — | 2 |
| 94 | 145.2.80.186/31 | 145.2.80.186 to 145.2.80.187 | — | 2 |
| 95 | 145.2.80.188/31 | 145.2.80.188 to 145.2.80.189 | — | 2 |
| 96 | 145.2.80.190/31 | 145.2.80.190 to 145.2.80.191 | — | 2 |
| 97 | 145.2.80.192/31 | 145.2.80.192 to 145.2.80.193 | — | 2 |
| 98 | 145.2.80.194/31 | 145.2.80.194 to 145.2.80.195 | — | 2 |
| 99 | 145.2.80.196/31 | 145.2.80.196 to 145.2.80.197 | — | 2 |
| 100 | 145.2.80.198/31 | 145.2.80.198 to 145.2.80.199 | — | 2 |
| 101 | 145.2.80.200/31 | 145.2.80.200 to 145.2.80.201 | — | 2 |
| 102 | 145.2.80.202/31 | 145.2.80.202 to 145.2.80.203 | — | 2 |
| 103 | 145.2.80.204/31 | 145.2.80.204 to 145.2.80.205 | — | 2 |
| 104 | 145.2.80.206/31 | 145.2.80.206 to 145.2.80.207 | — | 2 |
| 105 | 145.2.80.208/31 | 145.2.80.208 to 145.2.80.209 | — | 2 |
| 106 | 145.2.80.210/31 | 145.2.80.210 to 145.2.80.211 | — | 2 |
| 107 | 145.2.80.212/31 | 145.2.80.212 to 145.2.80.213 | — | 2 |
| 108 | 145.2.80.214/31 | 145.2.80.214 to 145.2.80.215 | — | 2 |
| 109 | 145.2.80.216/31 | 145.2.80.216 to 145.2.80.217 | — | 2 |
| 110 | 145.2.80.218/31 | 145.2.80.218 to 145.2.80.219 | — | 2 |
| 111 | 145.2.80.220/31 | 145.2.80.220 to 145.2.80.221 | — | 2 |
| 112 | 145.2.80.222/31 | 145.2.80.222 to 145.2.80.223 | — | 2 |
| 113 | 145.2.80.224/31 | 145.2.80.224 to 145.2.80.225 | — | 2 |
| 114 | 145.2.80.226/31 | 145.2.80.226 to 145.2.80.227 | — | 2 |
| 115 | 145.2.80.228/31 | 145.2.80.228 to 145.2.80.229 | — | 2 |
| 116 | 145.2.80.230/31 | 145.2.80.230 to 145.2.80.231 | — | 2 |
| 117 | 145.2.80.232/31 | 145.2.80.232 to 145.2.80.233 | — | 2 |
| 118 | 145.2.80.234/31 | 145.2.80.234 to 145.2.80.235 | — | 2 |
| 119 | 145.2.80.236/31 | 145.2.80.236 to 145.2.80.237 | — | 2 |
| 120 | 145.2.80.238/31 | 145.2.80.238 to 145.2.80.239 | — | 2 |
| 121 | 145.2.80.240/31 | 145.2.80.240 to 145.2.80.241 | — | 2 |
| 122 | 145.2.80.242/31 | 145.2.80.242 to 145.2.80.243 | — | 2 |
| 123 | 145.2.80.244/31 | 145.2.80.244 to 145.2.80.245 | — | 2 |
| 124 | 145.2.80.246/31 | 145.2.80.246 to 145.2.80.247 | — | 2 |
| 125 | 145.2.80.248/31 | 145.2.80.248 to 145.2.80.249 | — | 2 |
| 126 | 145.2.80.250/31 | 145.2.80.250 to 145.2.80.251 | — | 2 |
| 127 | 145.2.80.252/31 | 145.2.80.252 to 145.2.80.253 | — | 2 |
| 128 | 145.2.80.254/31 | 145.2.80.254 to 145.2.80.255 | — | 2 |
| 129 | 145.2.81.0/31 | 145.2.81.0 to 145.2.81.1 | — | 2 |
| 130 | 145.2.81.2/31 | 145.2.81.2 to 145.2.81.3 | — | 2 |
| 131 | 145.2.81.4/31 | 145.2.81.4 to 145.2.81.5 | — | 2 |
| 132 | 145.2.81.6/31 | 145.2.81.6 to 145.2.81.7 | — | 2 |
| 133 | 145.2.81.8/31 | 145.2.81.8 to 145.2.81.9 | — | 2 |
| 134 | 145.2.81.10/31 | 145.2.81.10 to 145.2.81.11 | — | 2 |
| 135 | 145.2.81.12/31 | 145.2.81.12 to 145.2.81.13 | — | 2 |
| 136 | 145.2.81.14/31 | 145.2.81.14 to 145.2.81.15 | — | 2 |
| 137 | 145.2.81.16/31 | 145.2.81.16 to 145.2.81.17 | — | 2 |
| 138 | 145.2.81.18/31 | 145.2.81.18 to 145.2.81.19 | — | 2 |
| 139 | 145.2.81.20/31 | 145.2.81.20 to 145.2.81.21 | — | 2 |
| 140 | 145.2.81.22/31 | 145.2.81.22 to 145.2.81.23 | — | 2 |
| 141 | 145.2.81.24/31 | 145.2.81.24 to 145.2.81.25 | — | 2 |
| 142 | 145.2.81.26/31 | 145.2.81.26 to 145.2.81.27 | — | 2 |
| 143 | 145.2.81.28/31 | 145.2.81.28 to 145.2.81.29 | — | 2 |
| 144 | 145.2.81.30/31 | 145.2.81.30 to 145.2.81.31 | — | 2 |
| 145 | 145.2.81.32/31 | 145.2.81.32 to 145.2.81.33 | — | 2 |
| 146 | 145.2.81.34/31 | 145.2.81.34 to 145.2.81.35 | — | 2 |
| 147 | 145.2.81.36/31 | 145.2.81.36 to 145.2.81.37 | — | 2 |
| 148 | 145.2.81.38/31 | 145.2.81.38 to 145.2.81.39 | — | 2 |
| 149 | 145.2.81.40/31 | 145.2.81.40 to 145.2.81.41 | — | 2 |
| 150 | 145.2.81.42/31 | 145.2.81.42 to 145.2.81.43 | — | 2 |
| 151 | 145.2.81.44/31 | 145.2.81.44 to 145.2.81.45 | — | 2 |
| 152 | 145.2.81.46/31 | 145.2.81.46 to 145.2.81.47 | — | 2 |
| 153 | 145.2.81.48/31 | 145.2.81.48 to 145.2.81.49 | — | 2 |
| 154 | 145.2.81.50/31 | 145.2.81.50 to 145.2.81.51 | — | 2 |
| 155 | 145.2.81.52/31 | 145.2.81.52 to 145.2.81.53 | — | 2 |
| 156 | 145.2.81.54/31 | 145.2.81.54 to 145.2.81.55 | — | 2 |
| 157 | 145.2.81.56/31 | 145.2.81.56 to 145.2.81.57 | — | 2 |
| 158 | 145.2.81.58/31 | 145.2.81.58 to 145.2.81.59 | — | 2 |
| 159 | 145.2.81.60/31 | 145.2.81.60 to 145.2.81.61 | — | 2 |
| 160 | 145.2.81.62/31 | 145.2.81.62 to 145.2.81.63 | — | 2 |
| 161 | 145.2.81.64/31 | 145.2.81.64 to 145.2.81.65 | — | 2 |
| 162 | 145.2.81.66/31 | 145.2.81.66 to 145.2.81.67 | — | 2 |
| 163 | 145.2.81.68/31 | 145.2.81.68 to 145.2.81.69 | — | 2 |
| 164 | 145.2.81.70/31 | 145.2.81.70 to 145.2.81.71 | — | 2 |
| 165 | 145.2.81.72/31 | 145.2.81.72 to 145.2.81.73 | — | 2 |
| 166 | 145.2.81.74/31 | 145.2.81.74 to 145.2.81.75 | — | 2 |
| 167 | 145.2.81.76/31 | 145.2.81.76 to 145.2.81.77 | — | 2 |
| 168 | 145.2.81.78/31 | 145.2.81.78 to 145.2.81.79 | — | 2 |
| 169 | 145.2.81.80/31 | 145.2.81.80 to 145.2.81.81 | — | 2 |
| 170 | 145.2.81.82/31 | 145.2.81.82 to 145.2.81.83 | — | 2 |
| 171 | 145.2.81.84/31 | 145.2.81.84 to 145.2.81.85 | — | 2 |
| 172 | 145.2.81.86/31 | 145.2.81.86 to 145.2.81.87 | — | 2 |
| 173 | 145.2.81.88/31 | 145.2.81.88 to 145.2.81.89 | — | 2 |
| 174 | 145.2.81.90/31 | 145.2.81.90 to 145.2.81.91 | — | 2 |
| 175 | 145.2.81.92/31 | 145.2.81.92 to 145.2.81.93 | — | 2 |
| 176 | 145.2.81.94/31 | 145.2.81.94 to 145.2.81.95 | — | 2 |
| 177 | 145.2.81.96/31 | 145.2.81.96 to 145.2.81.97 | — | 2 |
| 178 | 145.2.81.98/31 | 145.2.81.98 to 145.2.81.99 | — | 2 |
| 179 | 145.2.81.100/31 | 145.2.81.100 to 145.2.81.101 | — | 2 |
| 180 | 145.2.81.102/31 | 145.2.81.102 to 145.2.81.103 | — | 2 |
| 181 | 145.2.81.104/31 | 145.2.81.104 to 145.2.81.105 | — | 2 |
| 182 | 145.2.81.106/31 | 145.2.81.106 to 145.2.81.107 | — | 2 |
| 183 | 145.2.81.108/31 | 145.2.81.108 to 145.2.81.109 | — | 2 |
| 184 | 145.2.81.110/31 | 145.2.81.110 to 145.2.81.111 | — | 2 |
| 185 | 145.2.81.112/31 | 145.2.81.112 to 145.2.81.113 | — | 2 |
| 186 | 145.2.81.114/31 | 145.2.81.114 to 145.2.81.115 | — | 2 |
| 187 | 145.2.81.116/31 | 145.2.81.116 to 145.2.81.117 | — | 2 |
| 188 | 145.2.81.118/31 | 145.2.81.118 to 145.2.81.119 | — | 2 |
| 189 | 145.2.81.120/31 | 145.2.81.120 to 145.2.81.121 | — | 2 |
| 190 | 145.2.81.122/31 | 145.2.81.122 to 145.2.81.123 | — | 2 |
| 191 | 145.2.81.124/31 | 145.2.81.124 to 145.2.81.125 | — | 2 |
| 192 | 145.2.81.126/31 | 145.2.81.126 to 145.2.81.127 | — | 2 |
| 193 | 145.2.81.128/31 | 145.2.81.128 to 145.2.81.129 | — | 2 |
| 194 | 145.2.81.130/31 | 145.2.81.130 to 145.2.81.131 | — | 2 |
| 195 | 145.2.81.132/31 | 145.2.81.132 to 145.2.81.133 | — | 2 |
| 196 | 145.2.81.134/31 | 145.2.81.134 to 145.2.81.135 | — | 2 |
| 197 | 145.2.81.136/31 | 145.2.81.136 to 145.2.81.137 | — | 2 |
| 198 | 145.2.81.138/31 | 145.2.81.138 to 145.2.81.139 | — | 2 |
| 199 | 145.2.81.140/31 | 145.2.81.140 to 145.2.81.141 | — | 2 |
| 200 | 145.2.81.142/31 | 145.2.81.142 to 145.2.81.143 | — | 2 |
| 201 | 145.2.81.144/31 | 145.2.81.144 to 145.2.81.145 | — | 2 |
| 202 | 145.2.81.146/31 | 145.2.81.146 to 145.2.81.147 | — | 2 |
| 203 | 145.2.81.148/31 | 145.2.81.148 to 145.2.81.149 | — | 2 |
| 204 | 145.2.81.150/31 | 145.2.81.150 to 145.2.81.151 | — | 2 |
| 205 | 145.2.81.152/31 | 145.2.81.152 to 145.2.81.153 | — | 2 |
| 206 | 145.2.81.154/31 | 145.2.81.154 to 145.2.81.155 | — | 2 |
| 207 | 145.2.81.156/31 | 145.2.81.156 to 145.2.81.157 | — | 2 |
| 208 | 145.2.81.158/31 | 145.2.81.158 to 145.2.81.159 | — | 2 |
| 209 | 145.2.81.160/31 | 145.2.81.160 to 145.2.81.161 | — | 2 |
| 210 | 145.2.81.162/31 | 145.2.81.162 to 145.2.81.163 | — | 2 |
| 211 | 145.2.81.164/31 | 145.2.81.164 to 145.2.81.165 | — | 2 |
| 212 | 145.2.81.166/31 | 145.2.81.166 to 145.2.81.167 | — | 2 |
| 213 | 145.2.81.168/31 | 145.2.81.168 to 145.2.81.169 | — | 2 |
| 214 | 145.2.81.170/31 | 145.2.81.170 to 145.2.81.171 | — | 2 |
| 215 | 145.2.81.172/31 | 145.2.81.172 to 145.2.81.173 | — | 2 |
| 216 | 145.2.81.174/31 | 145.2.81.174 to 145.2.81.175 | — | 2 |
| 217 | 145.2.81.176/31 | 145.2.81.176 to 145.2.81.177 | — | 2 |
| 218 | 145.2.81.178/31 | 145.2.81.178 to 145.2.81.179 | — | 2 |
| 219 | 145.2.81.180/31 | 145.2.81.180 to 145.2.81.181 | — | 2 |
| 220 | 145.2.81.182/31 | 145.2.81.182 to 145.2.81.183 | — | 2 |
| 221 | 145.2.81.184/31 | 145.2.81.184 to 145.2.81.185 | — | 2 |
| 222 | 145.2.81.186/31 | 145.2.81.186 to 145.2.81.187 | — | 2 |
| 223 | 145.2.81.188/31 | 145.2.81.188 to 145.2.81.189 | — | 2 |
| 224 | 145.2.81.190/31 | 145.2.81.190 to 145.2.81.191 | — | 2 |
| 225 | 145.2.81.192/31 | 145.2.81.192 to 145.2.81.193 | — | 2 |
| 226 | 145.2.81.194/31 | 145.2.81.194 to 145.2.81.195 | — | 2 |
| 227 | 145.2.81.196/31 | 145.2.81.196 to 145.2.81.197 | — | 2 |
| 228 | 145.2.81.198/31 | 145.2.81.198 to 145.2.81.199 | — | 2 |
| 229 | 145.2.81.200/31 | 145.2.81.200 to 145.2.81.201 | — | 2 |
| 230 | 145.2.81.202/31 | 145.2.81.202 to 145.2.81.203 | — | 2 |
| 231 | 145.2.81.204/31 | 145.2.81.204 to 145.2.81.205 | — | 2 |
| 232 | 145.2.81.206/31 | 145.2.81.206 to 145.2.81.207 | — | 2 |
| 233 | 145.2.81.208/31 | 145.2.81.208 to 145.2.81.209 | — | 2 |
| 234 | 145.2.81.210/31 | 145.2.81.210 to 145.2.81.211 | — | 2 |
| 235 | 145.2.81.212/31 | 145.2.81.212 to 145.2.81.213 | — | 2 |
| 236 | 145.2.81.214/31 | 145.2.81.214 to 145.2.81.215 | — | 2 |
| 237 | 145.2.81.216/31 | 145.2.81.216 to 145.2.81.217 | — | 2 |
| 238 | 145.2.81.218/31 | 145.2.81.218 to 145.2.81.219 | — | 2 |
| 239 | 145.2.81.220/31 | 145.2.81.220 to 145.2.81.221 | — | 2 |
| 240 | 145.2.81.222/31 | 145.2.81.222 to 145.2.81.223 | — | 2 |
| 241 | 145.2.81.224/31 | 145.2.81.224 to 145.2.81.225 | — | 2 |
| 242 | 145.2.81.226/31 | 145.2.81.226 to 145.2.81.227 | — | 2 |
| 243 | 145.2.81.228/31 | 145.2.81.228 to 145.2.81.229 | — | 2 |
| 244 | 145.2.81.230/31 | 145.2.81.230 to 145.2.81.231 | — | 2 |
| 245 | 145.2.81.232/31 | 145.2.81.232 to 145.2.81.233 | — | 2 |
| 246 | 145.2.81.234/31 | 145.2.81.234 to 145.2.81.235 | — | 2 |
| 247 | 145.2.81.236/31 | 145.2.81.236 to 145.2.81.237 | — | 2 |
| 248 | 145.2.81.238/31 | 145.2.81.238 to 145.2.81.239 | — | 2 |
| 249 | 145.2.81.240/31 | 145.2.81.240 to 145.2.81.241 | — | 2 |
| 250 | 145.2.81.242/31 | 145.2.81.242 to 145.2.81.243 | — | 2 |
| 251 | 145.2.81.244/31 | 145.2.81.244 to 145.2.81.245 | — | 2 |
| 252 | 145.2.81.246/31 | 145.2.81.246 to 145.2.81.247 | — | 2 |
| 253 | 145.2.81.248/31 | 145.2.81.248 to 145.2.81.249 | — | 2 |
| 254 | 145.2.81.250/31 | 145.2.81.250 to 145.2.81.251 | — | 2 |
| 255 | 145.2.81.252/31 | 145.2.81.252 to 145.2.81.253 | — | 2 |
| 256 | 145.2.81.254/31 | 145.2.81.254 to 145.2.81.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |